function xout=movingaverage(xin,window)
%
% This source code was published as supporting material for the article:
% Ralph G. Andrzejak, Anas Espinoso, Eduardo Garca-Portugus, 
% Arthur Pewsey, Jacopo Epifanio, Marc G. Leguia, Kaspar Schindler; 
% High expectations on phase locking: Better quantifying the concentration 
% of circular data. Chaos (2023); 33 (9): 091106. 
% https://doi.org/10.1063/5.0166468
%
% If you have no access to this journal page, please visit the repository
% of our university at:
% https://doi.org/10.34810/data845
% Which contains links to a reprint.
%
N = length(xin);
xout = zeros(1,N);
xout(window) = sum(xin(1:window));
for ii = window+1:N
    xout(ii) = xout(ii-1)-xin(ii-window)+xin(ii);
end
xout = xout/window;